/* 
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_BIBTEX_PREAMBLE_H
#define __XFBIB_BIBTEX_PREAMBLE_H

#include <glib-object.h>
#include "xfbib-bibtex-value.h"

#define XFBIB_TYPE_BIBTEX_PREAMBLE             (xfbib_bibtex_preamble_get_type())
#define XFBIB_BIBTEX_PREAMBLE(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_BIBTEX_PREAMBLE, XfbibBibtexPreamble))
#define XFBIB_IS_BIBTEX_PREAMBLE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_BIBTEX_PREAMBLE))
#define XFBIB_BIBTEX_PREAMBLE_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_BIBTEX_PREAMBLE, XfbibBibtexPreambleClass))
#define XFBIB_IS_BIBTEX_PREAMBLE_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_BIBTEX_PREAMBLE))
#define XFBIB_BIBTEX_PREAMBLE_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_BIBTEX_PREAMBLE, XfbibBibtexPreambleClass))

G_BEGIN_DECLS

typedef struct _XfbibBibtexPreamble         XfbibBibtexPreamble;

GType xfbib_bibtex_preamble_get_type() G_GNUC_CONST;

XfbibBibtexPreamble *xfbib_bibtex_preamble_new(GObject *);
GObject *xfbib_bibtex_preamble_get_owner(XfbibBibtexPreamble *);
gboolean xfbib_bibtex_preamble_parse(XfbibBibtexPreamble *, const gchar *);
gchar xfbib_bibtex_preamble_get_separator(XfbibBibtexPreamble *);
XfbibBibtexValue *xfbib_bibtex_preamble_get_value(XfbibBibtexPreamble *);

G_END_DECLS

#endif //__XFBIB_BIBTEX_PREAMBLE_H

