/*
 * Copyright (c) 2008 Jesper Karlsson & David Gustafsson
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __XFBIB_ENTRY_EDIT_DIALOG_H
#define __XFBIB_ENTRY_EDIT_DIALOG_H

#include <gtk/gtk.h>
#include "xfbib-bibtex-entry.h"

#define XFBIB_TYPE_ENTRY_EDIT_DIALOG             (xfbib_entry_edit_dialog_get_type())
#define XFBIB_ENTRY_EDIT_DIALOG(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_ENTRY_EDIT_DIALOG, XfbibEntryEditDialog))
#define XFBIB_IS_ENTRY_EDIT_DIALOG(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_ENTRY_EDIT_DIALOG))
#define XFBIB_ENTRY_EDIT_DIALOG_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_ENTRY_EDIT_DIALOG, XfbibEntryEditDialogClass))
#define XFBIB_IS_ENTRY_EDIT_DIALOG_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_ENTRY_EDIT_DIALOG))
#define XFBIB_ENTRY_EDIT_DIALOG_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_ENTRY_EDIT_DIALOG, XfbibEntryEditDialogClass))

G_BEGIN_DECLS

typedef struct _XfbibEntryEditDialog         XfbibEntryEditDialog;

GType xfbib_entry_edit_dialog_get_type() G_GNUC_CONST;

GtkWidget *xfbib_entry_edit_dialog_new(XfbibBibtexEntry *);
XfbibBibtexEntry *xfbib_entry_edit_dialog_get_entry(XfbibEntryEditDialog *);
gboolean xfbib_entry_edit_dialog_valid_entry(XfbibEntryEditDialog *);

G_END_DECLS

#endif //__XFBIB_ENTRY_EDIT_DIALOG_H

